Index: main_interface.cpp
===================================================================
--- main_interface.cpp	(Revision 24241)
+++ main_interface.cpp	(Arbeitskopie)
@@ -288,7 +288,13 @@
 
     move( settings->value( "pos", QPoint( 0, 0 ) ).toPoint() );
 
-    resize( settings->value( "size", QSize( 350, 60 ) ).toSize() );
+    QSize newSize = settings->value( "size", QSize( 350, 60 ) ).toSize();
+    if(newSize.isValid()) 
+    {
+        resize( newSize );
+    } else {
+        msg_Err( p_intf, "Invalid size in constructor");
+    }
 
     int tgPlay = settings->value( "playlist-visible", 0 ).toInt();
     settings->endGroup();
@@ -314,7 +320,11 @@
     settings->setValue( "adv-controls",
                         getControlsVisibilityStatus() & CONTROLS_ADVANCED );
     settings->setValue( "pos", pos() );
-    settings->setValue( "size", size() );
+
+    QSize currentSize = size();
+    if(currentSize.isValid())
+       settings->setValue( "size", currentSize );
+
     if( bgWidget )
         settings->setValue( "backgroundSize", bgWidget->size() );
 
@@ -540,23 +550,41 @@
     msg_Dbg( p_intf, "1 %i %i", nheight, nwidth );
     if( VISIBLE( bgWidget ) )
     {
-        nheight += bgWidget->size().height();
-        nwidth  = bgWidget->size().width();
-        msg_Dbg( p_intf, "1b %i %i", nheight, nwidth );
+        QSize size = bgWidget->size();
+        if(size.isValid()) 
+        {
+          nheight += size.height();
+          nwidth  = size.width();
+        } else {
+           msg_Err( p_intf, "invalid bgWidget size");
+        }
+        msg_Dbg( p_intf, "bgWidget  1b %i %i", nheight, nwidth );
     }
     else if( videoIsActive )
     {
-        nheight += videoWidget->size().height();
-        nwidth  = videoWidget->size().width();
-        msg_Dbg( p_intf, "2 %i %i", nheight, nwidth );
+        QSize size = videoWidget->size();
+        if(size.isValid()) 
+        {
+            nheight += size.height();
+            nwidth  = size.width();
+        } else {
+            msg_Err( p_intf, "invalid videoWidget size");
+        }
+        msg_Dbg( p_intf, "videoIsActive  2 %i %i", nheight, nwidth );
     }
     if( !dockPL->isFloating() && dockPL->isVisible() && dockPL->widget()  )
     {
-        nheight += dockPL->size().height();
-        nwidth = __MAX( nwidth, dockPL->size().width() );
-        msg_Dbg( p_intf, "3 %i %i", nheight, nwidth );
+        QSize size = dockPL->size();
+        if(size.isValid()) 
+        {
+           nheight += size.height();
+           nwidth = __MAX( nwidth, size.width() );
+        } else {
+            msg_Err( p_intf, "invalid dockPL size");
+        }
+        msg_Dbg( p_intf, "dockPL 3 %i %i", nheight, nwidth );
     }
-    msg_Dbg( p_intf, "4 %i %i", nheight, nwidth );
+    msg_Dbg( p_intf, "sizeHint 4 %i %i", nheight, nwidth );
     return QSize( nwidth, nheight );
 }
 
@@ -731,10 +759,15 @@
             dockPL->setFloating( true );
         }
         settings->endGroup();
+
         settings->beginGroup( "playlist" );
         dockPL->move( settings->value( "pos", QPoint( 0,0 ) ).toPoint() );
-        dockPL->resize( settings->value( "size", QSize( 400, 300 ) ).toSize() );
+        QSize newSize = settings->value( "size", QSize( 400, 300 ) ).toSize();
+        msg_Dbg( p_intf, "NewWidth: %i x %i (isValid = %d)", newSize.width(), newSize.height(), newSize.isValid());
+        if(newSize.isValid())
+            dockPL->resize( newSize );
         settings->endGroup();
+
         dockPL->show();
         playlistVisible = true;
     }
@@ -742,7 +775,11 @@
     {
     /* toggle the visibility of the playlist */
        TOGGLEV( dockPL );
-       resize( sizeHint() );
+       QSize newSize = sizeHint();
+       if(newSize.isValid())
+         resize( newSize );
+       else
+         msg_Err(p_intf, "togglePlaylist invalid size from sizeHint())");  
        playlistVisible = !playlistVisible;
     }
 }
